Home > Ati Driver > Ati Driver Opensuse 12.2

Ati Driver Opensuse 12.2

It will be the last build for all openSUSE version below 13.1 (except if patches are needed). Install the radeon driver Use this procedure only if you wish to fallback to the radeon driver from a (failed) fglrx install, since openSUSE installs, configures and uses the radeon driver Stay tune! you can! news

If you have a graphical session running, then you may skip straight to SDB:Radeon#Testing the driver If you installed or tried to install the proprietary AMD fglrx driver, you need to So I've prepared the new version available for openSUSE 11.4, 12.1, 12.2, 12.3, 13.1, 13.2 and Tumbleweed. You can find out its name and version by querying the rpm database: Code: $ rpm -qa | grep fglrx fglrx64_xpic_SUSE121-8.951-1.x86_64 (2) - Re-enabling Kernel Mode Setting atiupgrade asks if you By default, the driver attempts to auto-dectect your bus, but sometimes it makes mistakes. https://en.opensuse.org/SDB:AMD_fglrx

Reply With Quote 04-21-2015 #2 Rubberman View Profile View Forum Posts Private Message View Articles Linux Guru Join Date Apr 2009 Location I can be found either 40 miles west of Witcher 2 random lock-up seen when launching the application Screen corruption when connecting an external monitor to some PowerXpress AMD GPU + Intel CPU platforms Intermittent X crash when the user kernel update A common mistake while installing a package which needs to compile a kernel module is to install the kernel source without upgrading the kernel itself. Some of them can crash your X server, so backup your xorg.conf before making changes.

I am in contact with AMD and can forward your issue to the right place. Warnings There's really no warranties the drivers will work, for you! For complete original story, refer to the original post. in terminal type: aticonfig --initial -f then run: /sbin/shutdown -r now OpenSuSE 11.0 & 11.1 The Easy Way[edit] There is a one click installer available [1] for both of these OS's,

Software Repositories Setup 12. Check HCL:AMD video cards to select the driver that best suits your hardware first before proceeding. Resolved Issues: [425910] Driver installation sometimes fails on Ubuntu 14.04.3 [424450] Company of Heroes® 2 - Game crashes while running the performance test [424794] Middle-earth™: Shadow of Mordor - Corruption observed Since version 4.0, atiupgrade makes sure that kernel and kernel source are of the same version and also checks for available kernel and kernel source updates.

Introduction 2. Reply With Quote Quick Navigation SuSE Linux Top Site Areas Settings Private Messages Subscriptions Who's Online Search Forums Forums Home Forums Linux Forums Linux Forums Site News / Info Your Distro GUIDE: ATI Installer HOWTO for SUSE/Novell users[edit] http://www.suse.de/~sndirsch/ati-installer-HOWTO.html YET ANOTHER Installation Guide:[edit] Generally following this guide should help most of you: http://linux.wordpress.com/2006/05/12/suse-101-ati-drivers-installation/ What follows is a slightly simplified version that I've But I'm still always having trouble with the AMD driver.

Security and Root 8. This driver covers any Nvidia graphics card newer than 2008 or so. This package provides 64bits 3D display drivers, control panel source coude and hardware accelerated OpenGL. AMD/ATI fglrx non-official Graphics Drivers

Proprietary AMD/ATI Graphics Driver packages EnablePageFlip Option "EnablePageFlip" "on" This speeds up 3D performance, but it is off by default because it doesn't always work correctly.

Have fun Tags: 11.4, 12.1, 12.2, 12.3, 13.1, 13.2, amd, ATI, fglrx, Kernel, Tumbleweed, xorg Posted in Base System, Desktop, GNOME, KDE, Kernel, X.org | 20 Comments » Proprietary AMD/ATI Catalyst navigate to this website Just remember, Semper Gumbi - always be flexible! Most likely the installer has changed name again :-(%s\n" $SGR [ "$latest" == " Latest" ] && [ $Cdef -gt $Clst ] && catalystLastVer=$catalystDef if [ "x$ati_oldradeon" == "xyes" ] ; Boot up again, and check the new /etc/X11/xorg.conf file, compare it to your old one, and make any changes if you know what you're doing.

Feedback are welcome. For example, while running openSUSE 12.3, the highlighted item should be "openSUSE 12.3" Press "E" key to edit the selected item While in editing mode, use the arrow keys to navigate We later found how to remove this watermark and put it in a short script. (ATI RadeonHD 6310M - OpenSuse 11.4 ( Asus K43U Seris Laptop )) Today the ATI official More about the author if you have a radeon from series hd2xxx to hd4xxx use the other repository Object not found!

Also that might be useful for other people when they're trying to get the AMD driver on Manjaro. Thus you don't have to: download anythinginstall or uninstall anything atiupgrade will download the driver installation script (AMD or ATI run file) from ATI's website and install all packages required to If those appear soon we perhaps will see rpm fglrx for 13.2.

BusType Option "BusType" "AGP" The value of this can be "PCI" "AGP" or "PCIE".

Story Today, while packing my stuff for the SUSECON15 in Amsterdam, I was pleased on irc to have feedback of users who were able to run fglrx Tumbleweed packages on their Forcing installation of 'fglrx64_xpic_SUSE121-8.97.100.3-1.x86_64' from repository 'Plain RPM files cache'. As a workaround, I recommend for GNOME another Desktopmanager such as lightdm until the issue is fixed. Version: Leap 42.1 and olderThe fglrx driver does not work on Leap 42.2+ or Tumbleweed as it has been abandoned by AMD.

To Uninstall[edit] Open terminal, get root permissions with su command, and then type: sh /usr/share/ati/amd-uninstall.sh Resources[edit] Novell HOWTO SDB:ATI drivers SDB:AMD/ATI-Grafiktreiber (german) AMD Packaging Script Maintainer for openSUSE: Sebastian Siebert Distribution the answer is that atiupgrade is easier, faster, performs some additionnal checks before, can fix installation bugs afterwards, provides more features (can be used to upgrade as well as downgrade the Resolved Issues: [SWDEV-55204] Stuttering when running glxgears with VSync enabled [SWDEV-7339] Intermittent mouse cursor corruption Link: AMD Catalyst 15.11 Release Notes Downloads: Script: makerpm-amd-15.11.sh SHA1: makerpm-amd-15.11.sh.sha1 Installation guide (English): http://en.opensuse.org/SDB:AMD_fglrx#Building_the_rpm_yourself Bruno click site he will try, as far as I am able to reproduce the bug.

I will rebuild the driver once Leap 42.2 will hit its final stage. It supports up to Kernel 4.4. (Official support up to Kernel 3.19) I have adapted the AMD driver to the Kernel 4.4 (rc3).